Search documentation of Metastatic

# Metastatic.Adapters.Erlang.FromMeta (Metastatic v0.13.2)

View Source

Transform MetaAST (M2) back to Erlang AST (M1).

This module implements the reification function ρ_Erlang that instantiates meta-level representations back into Erlang-specific AST structures.

## Summary

### Functions

transform(unknown, metadata)

Transform MetaAST back to Erlang AST.

## Functions

# transform(unknown, metadata)

    @spec transform(term(), map()) :: {:ok, term()} | {:error, String.t()}

Transform MetaAST back to Erlang AST.

Returns `{:ok, erlang_ast}` on success or `{:error, reason}` on failure.